{% extends "base.html" %}
{% from "_macros.html" import collapse_card_start, collapse_card_end, card_link_by_title %}

{% block content %}

<h1>User {{ data.name }}</h1>
{{ collapse_card_start("User Information", show=True) }}
      <dl class="dl-horizontal">
        <dt>username</dt>
        <dd>{{ data.username }}</dd>

        <dt>name</dt>
        <dd>{{ data.name }}</dd>

        <dt>active</dt>
        <dd>
          <span class="badge badge-{{ 'success' if data.active else 'danger' }}">
            {{ data.active }}
          </span>
        </dd>

        <dt>email</dt>
        <dd>
          {% if data.email %}
          <a href="mailto:{{data.email}}">
            {{ data.email }}
          </a>
          {% endif %}
        </dd>

        <dt>assignment weight</dt>
        <dd>{{ data.assignment_weight }}</dd>

        <dt>create time</dt>
        <dd>{{ data.create_time }}</dd>
      </dl>
{{ collapse_card_end("User Information") }}


{% if data.groups %}
{{ collapse_card_start("Groups", show=True, data_count=data.groups|length) }}
      <table class="table table-striped">
        <thead>
        <tr>
          <th>id</th>
          <th>name</th>
          <th>users</th>
        </tr>
        </thead>
        <tbody>
        {% for group in data.groups %}
        <tr>
          <td>
            {{group.id}}
          </td>
          <td>
            <a href="{{url_for('web.group', id=group.id)}}">{{group.name}}</a>
          </td>
          <td>
          {% for user in group.users %}
            {{ ", " if not loop.first }}
            <a href="{{ url_for('web.user', id=user.id) }}">
              {{ user.name }}
            </a>
          {% endfor %}
          </td>
        </tr>
        {% endfor %}
        </tbody>
      </table>
{{ collapse_card_end("Groups") }}
{% endif %}

{% if data.tasks %}
{{ collapse_card_start("Tasks per Template", show=True, data_count=counts_per_template|length) }}
      <table class="table table-striped">
        <thead>
        <tr>
          <th>id</th>
          <th>template</th>
          <th># of tasks</th>
          <th># of queued tasks</th>
        </tr>
        </thead>
        <tbody>
        {% for t in counts_per_template|sort(attribute='template_id') %}
        <tr>
          <td>{{ t['template_id'] }}</td>
          <td><a href="{{url_for('web.template', id=t['template_id']) }}">{{t['template']}}</a></td>
          <td><span class="badge badge-secondary">{{t['tasks']}}</span></td>
          <td><span class="badge badge-secondary">{{t['tasks_queued']}}</span></td>
        </tr>
        {% endfor %}
        </tbody>
      </table>
{{ collapse_card_end("Tasks per Template") }}

{{ collapse_card_start("Tasks Assigned", show=True, data_count=data.tasks|length) }}
      <table class="table table-striped">
        <thead>
        <tr>
          <th>id</th>
          <th>status</th>
          <th>lock</th>
          <th>project</th>
          <th>create time</th>
          <th>update time</th>
        </tr>
        </thead>
        <tbody>
        {% for d in data.tasks|sort(attribute='id') %}
        <tr>
          <td>
            <a href="{{url_for('web.task', id=d.id) }}">
              {{d.id}}
            </a>
          </td>
          <td>{{d.status}}</td>
          <td>
            {% if d.lock %}
            <a href="{{url_for('web.user', id=d.lock.id)}}">{{d.lock.name}}</a>
            {% endif %}
          </td>
          <td>{{d.project}}</td>
          <td>{{d.create_time}}</td>
          <td>{{d.update_time}}</td>
        </tr>
        {% endfor %}
        </tbody>
      </table>
{{ collapse_card_end("Tasks Assigned") }}
{% endif %}

{% endblock %}
